#pragma once

#include "stdint.h"
#include "stm32g0xx.h"
#include "main.h"

// Host to Network Short
#define htons( val ) ((val << 8) & 0xFF00) | ((val >> 8) & 0xFF)
// Host to Network Long
#define htonl( val ) ((val << 8) & 0xFF0000) | ((val >> 8) & 0xFF00) | ((val << 24) & 0xFF000000) | ((val >> 24) & 0xFF)
// Network to Host Short
#define ntohs( val ) htons( val )
// Network to Host Long
#define ntohl( val ) htonl( val )



