#include "define.h"
#include "SPI.h"
#include "driverEnc28.h"


SPI spi1( SPI1 );
Pin res( GPIOA, 12 );
Pin cs( GPIOA, 11 );
ENC28J60 enc28( &spi1, &res, &cs );


uint8_t mac[6] = { 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF };
uint8_t txPackage[27] = { 0x00, 0x30, 0x30, 0x30, 0x40, 0x50, 0x60, 0x70, 0x80,
                          0x00, 0x30, 0x30, 0x30, 0x40, 0x50, 0x60, 0x70, 0x80, 
                          0x00, 0x30, 0x30, 0x30, 0x40, 0x50, 0x60, 0x70, 0x80 };

uint32_t tmp;
uint16_t erxst;
uint16_t erxnd;
uint16_t etxnd;
uint8_t ID;
/*----------------------------------------------------------------------------*/
extern "C" void MainTask()
{

    spi1.initSPI();
    enc28.setTxBuffer( txPackage, sizeof( txPackage ) );
    enc28.init( mac );
    
//    res.Clear();
//    HAL_Delay( 200 );
//    res.Set();
//    HAL_Delay( 200 );
    
    while( 1 )
    {       
//      enc28.init( mac );
//      HAL_Delay( 200 );
//      CLEAR_BIT( GPIOD->ODR, GPIO_ODR_OD15 );
      enc28.sendPackage( sizeof( txPackage ) );   
//      test.testSendPackage();
//      value = enc28.receivePackage();
//      enc28.checkBank( MAADR0 );
//      enc28.write( ENC28J60_WRITE_CTRL_REG, MAADR0, 0x40 );
//      enc28.writeControlReg( MAADR0, 0x40 );
//      value = enc28.read( ENC28J60_READ_CTRL_REG, MAADR0 );
      
//      data = enc28.readControlReg16( ECON2 );
      
//      enc28.writeControlReg16( ETXST, 0x0100 );
//      erxst = enc28.readControlReg16( ERXST );
      
      etxnd = enc28.readControlReg16( ETXND );
//      erxnd = enc28.readControlReg16( ERXND );
        
//      ID = enc28.readControlReg( EREVID );

      HAL_Delay( 1 );

      tmp++;
    }
}






